﻿/*-------------------------------
        Custome CSS
-------------------------------*/

/* DEFAULT (top of page)  ---Navbar CSS---    */
/* default (top) */
.navbar {
    background: transparent;
    transition: all 0.4s ease;
}

    /* on scroll */
    .navbar.scrolled {
        background: #ffffff !important;
    }

    /* text color transition */
    .navbar .nav-link {
        color: #ffffff;
        transition: all 0.4s ease;
    }

    .navbar.scrolled .nav-link {
        color: var(--dark);
        padding: 20px 0;
    }

#navbar-logo {
    width: auto;
    height: 45px;
    transition: opacity 0.3s ease;
}




/*Website Development Page Customme css*/
.tech-section {
    background: url('/assets/img/par5.png') no-repeat center center;
    background-size: cover;
    position: relative;
}


    /* Optional dark overlay for better readability */
    .tech-section::before {
        content: "";
        position: absolute;
        top: 0;
        left: 0;
        right: 0;
        bottom: 0;
        background: rgba(0, 0, 0, 0.1); /* dark overlay */
        z-index: 1;
    }

    /* keep content above overlay */
    .tech-section .container {
        position: relative;
        z-index: 2;
    }

.modern-box {
    background: rgba(0, 0, 0, .2);
    padding: 20px;
    margin: 15px 0;
    transition-duration: .3s;
}

    .modern-box:hover {
        background: rgba(255, 255, 255, .05);
        /*    padding: 20px;
    margin: 15px 0;*/
    }



#navbar-logo {
    width: 188.61px;
    height: 48px;
    object-fit: contain;
}


.vendor-carousel img {
    width: auto;
    height: 70px;
    object-fit: contain;
}

.vendor-section p {
    word-spacing: 1px;
}


.icon-box {
    width: 25px; /* fixed width for all icons */
    text-align: center;
    margin-right: 10px;
}



/* Career card arrow animation */
a:hover .btn-arrow {
    opacity: 1;
}

.btn-arrow {
    opacity: 0;
    right: -25.5px;
    transition: opacity 0.5s;
}

.career-item {
    overflow: visible;
}

.career-text {
    color: #6B6A75;
}




/* =========================
        Fullscreen Loader
========================= */

.loader-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(255, 255, 255, 0.5);
    backdrop-filter: blur(3px);
    display: flex;
    justify-content: center;
    align-items: center;
    z-index: 999999;
}
/*
    background: rgba(255,255,255,0.2);
    backdrop-filter: blur(6px);
*/

/* Loader Wrapper */
.loader-wrapper {
    text-align: center;
}


/* Loader Text */
.loader-text {
    margin-top: 12px;
    font-size: 15px;
    font-weight: 500;
    color: #2AA9E1; /* match your theme */
    letter-spacing: 0.3px;
}


/* Custom Loader */
.form-spinner {
    width: 72px;
    height: 72px;
    display: grid;
    border: 4px solid transparent;
    border-radius: 50%;
    border-right-color: #2AA9E1;
    animation: form-spin 1s linear infinite;
}

    .form-spinner::before,
    .form-spinner::after {
        content: "";
        grid-area: 1/1;
        margin: 2px;
        border: inherit;
        border-radius: 50%;
        animation: form-spin 2s linear infinite;
    }

    .form-spinner::after {
        margin: 8px;
        animation-duration: 3s;
    }

@keyframes form-spin {
    100% {
        transform: rotate(360deg);
    }
}

#captchaText {
    -webkit-user-select: none; /* Chrome, Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE/Edge */
    user-select: none; /* Standard */
}


#careerCaptchaText {
    -webkit-user-select: none; /* Chrome, Safari */
    -moz-user-select: none; /* Firefox */
    -ms-user-select: none; /* IE/Edge */
    user-select: none; /* Standard */
}

.required-skill ul {
    list-style: none;
    padding-left: 0;
    margin: 0;
}

.required-skill li {
    position: relative;
    padding-left: 30px;
    margin-bottom: 10px;
    line-height: 1.6;
}

    .required-skill li::before {
        content: "\f00c";
        font-family: "Font Awesome 6 Free", "Font Awesome 5 Free";
        font-weight: 900;
        color: #2AA9E1;
        position: absolute;
        left: 0;
        top: 3px;
    }

/*quote form message */
.quote-wrapper {
    position: relative;
}

.quote-alert {
    position: absolute;
    top: -70px;
    left: 0;
    width: 100%;
    z-index: 999;
}



/*Dev Bhatt*/

body {
    /* Buttons */
    .btn-light {
        color: #000;
        background-color: #EEF9FF;
        border-color: #EEF9FF;
    }
    /* Nav pills */
    .nav-pills .nav-link {
        background-color: #EEF9FF;
        color: #000;
        border: 0;
        border-radius: 2px;
        margin: 4px;
        transition: 0.3s;
    }
        /* Active nav pill */
        .nav-pills .nav-link.active {
            background-color: #2AA9E1;
            color: #000;
        }
    /* Carousel wrapper */
    .small-carousel {
        max-width: 1200px;
        margin: 0 auto;
    }
    /* Carousel image */
    .carousel-img {
        user-select: none;
        -webkit-user-drag: none;
        height: 580px;
        object-fit: cover;
        width: 100%;
    }
    /* Indicators */
    /* Indicators */
    .carousel-indicators [data-bs-target] {
        width: 10px;
        height: 10px;
        border-radius: 50%;
        background-color: #999;
    }

    .carousel-indicators .active {
        background-color: #2AA9E1;
    }
    /* Carousel arrows */
    .carousel-control-prev,
    .carousel-control-next {
        width: 45px;
        height: 45px;
        top: 50%;
        transform: translateY(-50%);
        background: rgba(0, 0, 0, 0.15);
        border-radius: 50%;
        opacity: 1;
    }
    /* Arrow icons */
    .carousel-control-prev-icon,
    .carousel-control-next-icon {
        width: 18px;
        height: 18px;
        background-size: 100% 100%;
    }
    /* Hover */
    .carousel-control-prev:hover,
    .carousel-control-next:hover {
        background: rgba(0, 0, 0, 0.75);
    }
    /* =========================
                  RESPONSIVE
            ========================== */
    /* Tablet */
    @media (max-width: 991px) {

        .carousel-img {
            height: 420px;
        }

        .carousel-control-prev,
        .carousel-control-next {
            width: 40px;
            height: 40px;
        }

        .carousel-control-prev-icon,
        .carousel-control-next-icon {
            width: 16px;
            height: 16px;
        }
    }
    /* Mobile */
    @media (max-width: 576px) {

        .carousel-img {
            height: 260px;
            border-radius: 8px;
        }

        .carousel-control-prev,
        .carousel-control-next {
            width: 34px;
            height: 34px;
        }

        .carousel-control-prev-icon,
        .carousel-control-next-icon {
            width: 14px;
            height: 14px;
        }

        .carousel-indicators [data-bs-target] {
            width: 8px;
            height: 8px;
        }

        .nav-pills {
            justify-content: center;
        }

            .nav-pills .nav-link {
                font-size: 14px;
                padding: 8px 12px;
            }
    }
}

.facts-box {
    min-height: 150px;
}

/* + sign styling */
.plus {
    font-size: 45px;
    position: relative;
    top: -5px;
}

/* tablet */
@media (max-width: 992px) {

    .facts-box {
        flex-direction: row;
    }

    .plus {
        font-size: 30px;
    }

    .facts h1 {
        font-size: 28px;
    }

    .facts h5 {
        font-size: 14px;
    }

    .me-md-1 {
        margin-right: -0.75rem !important;
    }
}

/* mobile */
@media (max-width: 576px) {

    .facts-box {
        flex-direction: column;
        text-align: center;
        padding: 20px !important;
    }

    .facts .ps-4 {
        padding-left: 0 !important;
        padding-top: 10px;
    }

    .me-md-1 {
        margin-right: -0.75rem !important;
    }
}

.animate__animated {
    animation-duration: 0.8s;
}

@media (max-width: 991px) {

    #modalImage {
        width: 80vw !important;
        height: auto !important;
        max-height: 80vh;
    }

    #prevBtn {
        left: 0 !important;
    }

    #nextBtn {
        right: 0 !important;
    }
}

#portfolioPagination .page-link {
    padding: 13px 19px; /* size increase */
    font-size: 16px; /* text size */
}
/* Active page style */
#portfolioPagination .page-item.active .page-link {
    background: #2AA9E1;
    color: #fff;
}

/* Hover effect */
#portfolioPagination .page-link:hover {
    background: #f1f1f1;
}

#galleryPagination .page-link {
    padding: 13px 19px;
    font-size: 18px;
}

/* ACTIVE BUTTON */
#galleryPagination .page-item.active .page-link {
    background: #2AA9E1;
    color: #fff;
}

/* HOVER EFFECT */
#galleryPagination .page-link:hover {
    background: #f1f1f1;
}